package com.bonus.common.core.constant;


import com.bonus.common.core.utils.StringUtils;
import com.bonus.common.core.utils.ip.IpUtils;
import org.junit.Test;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

/**
 * 获取IP方法
 * 
 * @author bonus
 */
public class ValidateUtilsTests
{
    @Test
    public void testIsPwd(){
        String msg = ValidateUtils.isPwd("pass");
        assertTrue(StringUtils.isNotEmpty(msg));

        msg = ValidateUtils.isPwd("admin@123456");
        assertTrue(StringUtils.isNotEmpty(msg));

        msg = ValidateUtils.isPwd("Admin@123456");
        assertFalse(StringUtils.isNotEmpty(msg));
    }
}